Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.rds.model
Class AuthorizeDBSecurityGroupIngressRequest

    java.lang.Object
      com.amazonaws.AmazonWebServiceRequest
          com.amazonaws.services.rds.model.AuthorizeDBSecurityGroupIngressRequest

    public class AuthorizeDBSecurityGroupIngressRequest

extends AmazonWebServiceRequest

Container for the parameters to the `AuthorizeDBSecurityGroupIngress operation`.

This API allows for ingress to a DBSecurityGroup using one of two forms of authorization. First, EC2 Security Groups can be added to the DBSecurityGroup if the application using the database is running on EC2 instances. Second, IP ranges are available if the application accessing your database is running on the Internet. Required parameters for this API are one of CIDR range or (EC2SecurityGroupName AND EC2SecurityGroupOwnerId).

See Also:
  `AmazonRDS.authorizeDBSecurityGroupIngress(AuthorizeDBSecurityGroupIngressRequest)`

Constructor Summary
`AuthorizeDBSecurityGroupIngressRequest()`

Method Summary
`String` | `getCIDRIP()` The IP range to authorize.
`String` | `getDBSecurityGroupName()` The name of the DB Security Group to authorize.
`String` | `getEC2SecurityGroupName()` Name of the EC2 Security Group to authorize.
`String` | `getEC2SecurityGroupOwnerId()` AWS Account Number of the owner of the security group specified in the EC2SecurityGroupName parameter.
`void` | `setCIDRIP(String cIDRIP)` The IP range to authorize.
`void` | `setDBSecurityGroupName(String dBSecurityGroupName)` The name of the DB Security Group to authorize.
`void` | `setEC2SecurityGroupName(String eC2SecurityGroupName)` Name of the EC2 Security Group to authorize.
`void` | `setEC2SecurityGroupOwnerId(String eC2SecurityGroupOwnerId)` AWS Account Number of the owner of the security group specified in the EC2SecurityGroupName parameter.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`AuthorizeDBSecurityGroupIngressRequest` | `withCIDRIP(String cIDRIP)` The IP range to authorize.
`AuthorizeDBSecurityGroupIngressRequest` | `withDBSecurityGroupName(String dBSecurityGroupName)` The name of the DB Security Group to authorize.
`AuthorizeDBSecurityGroupIngressRequest` | `withEC2SecurityGroupName(String eC2SecurityGroupName)` Name of the EC2 Security Group to authorize.
`AuthorizeDBSecurityGroupIngressRequest` | `withEC2SecurityGroupOwnerId(String eC2SecurityGroupOwnerId)` AWS Account Number of the owner of the security group specified in the EC2SecurityGroupName parameter.

Methods inherited from class com.amazonaws.AmazonWebServiceRequest
`copyPrivateRequestParameters`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AuthorizeDBSecurityGroupIngressRequest

    public AuthorizeDBSecurityGroupIngressRequest()

Method Detail

### getDBSecurityGroupName

    public String getDBSecurityGroupName()

  The name of the DB Security Group to authorize.

  Returns:
    The name of the DB Security Group to authorize.

### setDBSecurityGroupName

    public void setDBSecurityGroupName(String dBSecurityGroupName)

  The name of the DB Security Group to authorize.

  Parameters:
    `dBSecurityGroupName` - The name of the DB Security Group to authorize.

### withDBSecurityGroupName

    public AuthorizeDBSecurityGroupIngressRequest withDBSecurityGroupName(String dBSecurityGroupName)

  The name of the DB Security Group to authorize.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `dBSecurityGroupName` - The name of the DB Security Group to authorize.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getCIDRIP

    public String getCIDRIP()

  The IP range to authorize.

  Returns:
    The IP range to authorize.

### setCIDRIP

    public void setCIDRIP(String cIDRIP)

  The IP range to authorize.

  Parameters:
    `cIDRIP` - The IP range to authorize.

### withCIDRIP

    public AuthorizeDBSecurityGroupIngressRequest withCIDRIP(String cIDRIP)

  The IP range to authorize.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `cIDRIP` - The IP range to authorize.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getEC2SecurityGroupName

    public String getEC2SecurityGroupName()

  Name of the EC2 Security Group to authorize.

  Returns:
    Name of the EC2 Security Group to authorize.

### setEC2SecurityGroupName

    public void setEC2SecurityGroupName(String eC2SecurityGroupName)

  Name of the EC2 Security Group to authorize.

  Parameters:
    `eC2SecurityGroupName` - Name of the EC2 Security Group to authorize.

### withEC2SecurityGroupName

    public AuthorizeDBSecurityGroupIngressRequest withEC2SecurityGroupName(String eC2SecurityGroupName)

  Name of the EC2 Security Group to authorize.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `eC2SecurityGroupName` - Name of the EC2 Security Group to authorize.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getEC2SecurityGroupOwnerId

    public String getEC2SecurityGroupOwnerId()

  AWS Account Number of the owner of the security group specified in the EC2SecurityGroupName parameter. The AWS Access Key ID is not an acceptable value.

  Returns:
    AWS Account Number of the owner of the security group specified in the EC2SecurityGroupName parameter. The AWS Access Key ID is not an acceptable value.

### setEC2SecurityGroupOwnerId

    public void setEC2SecurityGroupOwnerId(String eC2SecurityGroupOwnerId)

  AWS Account Number of the owner of the security group specified in the EC2SecurityGroupName parameter. The AWS Access Key ID is not an acceptable value.

  Parameters:
    `eC2SecurityGroupOwnerId` - AWS Account Number of the owner of the security group specified in the EC2SecurityGroupName parameter. The AWS Access Key ID is not an acceptable value.

### withEC2SecurityGroupOwnerId

    public AuthorizeDBSecurityGroupIngressRequest withEC2SecurityGroupOwnerId(String eC2SecurityGroupOwnerId)

  AWS Account Number of the owner of the security group specified in the EC2SecurityGroupName parameter. The AWS Access Key ID is not an acceptable value.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `eC2SecurityGroupOwnerId` - AWS Account Number of the owner of the security group specified in the EC2SecurityGroupName parameter. The AWS Access Key ID is not an acceptable value.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.